PRUNEEMPTYDIRS(1)

NAME
pruneemptydirs - detects stale source dirs in a CVS tree

SYNOPSIS
pruneemptydirs [ -f ]

DESCRIPTION
pruneemptydirs is used to clean up a local CVS tree. It detects directories containing remnants of old stuff which has been removed from the CVS. Such stale directories often break compilation. The current directory and all directories beneath it will be examined.

Note that this tool does not remove anything; it simply prints what to do as a series of remove commands. You can copy and paste these commands, or use them with eval in a script.

This tool works better if the source directory is not the same as the build directory, since it will not print directories containing old executables.

This utility is part of the TDE Software Development Kit.

OPTIONS

-f  Actually perform the deletions instead of just printing them out. Use this option with care (no warranties, etc.)!

ENVIRONMENT VARIABLES
One of the following variables (but not both) should be set if the source directory is different from the build directory. If the build directory is simply a subdirectory of the source directory, the simpler variable OBJ_SUBDIR should be used.

OBJ_SUBDIR
    Indicates that the build directory is in the given subdirectory of the source directory. For instance, if the source directory is tdesdk and the build directory is tdesdk/obj-i386-linux, then OBJ_SUBDIR should be set to obj-i386-linux.

OBJ_REPLACEMENT
    A sed expression that is used to transform the source directory into the build directory. For instance, if the source directory is ~/src/tdesdk and the build directory is ~/src/tdesdk-obj, then OBJ_REPLACEMENT could be set to s#tdesdk#tdesdk-obj#.

AUTHOR
pruneemptydirs was written by David Faure <faure@kde.org>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).